RANDOMIZE TIMER
SCREEN 13
angle = 0

DO UNTIL k$ = CHR$(27)
k$ = INKEY$
clearit = clearit + 1
IF clearit > 1 THEN clearit = 0
FOR a = 0 TO 360
LOCATE 1, 1: PRINT STR$(angle) + "   "
x = 160
y = 100
t2 = INT(RND * 200)
LOCATE 3, 1: PRINT a
WHILE INKEY$ = "": WEND
angle = a * (3.141593 / 180)
FOR b = 1 TO t2
x = x + COS(angle)
y = y + SIN(angle)
c = b / 14
c = c + 16
IF clearit = 0 THEN c = 0
PSET (x, y), c
NEXT b
NEXT a

LOOP

